<?php
namespace App\Mail;

use App\User;
use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Contracts\Queue\ShouldQueue;

class MailActivateUser extends Mailable
{
    use Queueable, SerializesModels;

    protected $token;
    public $subject;


    public function __construct($token, User $user)
    {

        $this->token = $token;
        $this->user = $user;
        $this->subject = __('Change E-Mail');

    }


    public function build()
    {
        $salutation = __('Dear customer').",";

        /*  if($this->user->account){
            if($this->user->account->salutation == "mr"){
                $salutation =  __('Dear Sir')." ".$this->user->account->last_name.",";
            }else{
                $salutation = __('Dear Mrs')." ".$this->user->account->last_name.",";
            }
        }
      */
        /*  $message = [
            'link' => route('user.update_email_confirm', $token),
            'line1' => 'Bitte aktivieren Sie Ihre neue E-Mail über diesen Link:',
            'line2' => 'oder kopieren Sie diesen Link in die Adressleiste Ihre Browsers.',
        ];*/
        return $this->view('emails.auth')->with([
            'url' => route('user_update_email_confirm', $this->token),
            'salutation' => $salutation,
            'button' => __('Change E-Mail'),
            'copy1line' => __('Dear Customer you will receive this e-mail because we have received a request to change your E-Mail Address for your account.'),
            'copy2line' => __('Or copy this link into the address bar of your browser.'),
            'greetings' => __('Best regards'),
        ]);
    }
}
